#include "rooms.h"
#include "japi/draw.h"
#include "japi/game.h"
#include "images.h"

bool loop();

void game::init()
{
    draw::init("DILEMMAKER v0.1", 320, 240, 3, false);
    game::setState(loop);
    rooms::load();
    images::loadPalette("./data/palette/zx-spectrum.pal");
}

bool loop()
{
    draw::setViewport(32, 24, 256, 128);
    rooms::draw();
    draw::render();
    return true;
}
